document.addEventListener('DOMContentLoaded', function() {
  const logContent = document.getElementById('log-content');
  const refreshBtn = document.getElementById('refresh-btn');
  const searchInput = document.getElementById('search-input');

  function fetchLogs() {
    fetch('/api/logs')
      .then(response => response.json())
      .then(data => {
        logContent.textContent = JSON.stringify(data, null, 2);
      })
      .catch(error => {
        logContent.textContent = 'Error loading logs: ' + error.message;
      });
  }

  function filterLogs() {
    const searchTerm = searchInput.value.toLowerCase();
    const logs = logContent.textContent.split('\n');
    const filteredLogs = logs.filter(line => line.toLowerCase().includes(searchTerm));
    logContent.textContent = filteredLogs.join('\n');
  }

  refreshBtn.addEventListener('click', fetchLogs);
  searchInput.addEventListener('input', filterLogs);

  // Initial load
  fetchLogs();
});